Package org.postgresql.util

# Class PSQLWarning

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
java.sql.SQLWarning
org.postgresql.util.PSQLWarning

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class PSQLWarning extends SQLWarning

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PSQLWarning(ServerErrorMessage err)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getMessage()`
`ServerErrorMessage`
`getServerErrorMessage()`

### Methods inherited from class java.sql.SQLWarning

`getNextWarning, setNextWarning`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### PSQLWarning

public PSQLWarning(ServerErrorMessage err)

## Method Details

### getMessage

public @Nullable String getMessage()

Overrides:
  `getMessage` in class `Throwable`

### getServerErrorMessage

public ServerErrorMessage getServerErrorMessage()